USN-3169-4

See a problem?
Source
https://ubuntu.com/security/notices/USN-3169-4
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-3169-4.json
JSON Data
https://api.osv.dev/v1/vulns/USN-3169-4
Related
  • CVE-2016-9793
  • CVE-2016-9794
Published
2017-01-11T08:26:03.162016Z
Modified
2017-01-11T08:26:03.162016Z
Summary
linux-snapdragon vulnerabilities
Details

Baozeng Ding discovered a race condition that could lead to a use-after- free in the Advanced Linux Sound Architecture (ALSA) subsystem of the Linux kernel. A local attacker could use this to cause a denial of service (system crash). (CVE-2016-9794)

Andrey Konovalov discovered that signed integer overflows existed in the setsockopt() system call when handling the SOSNDBUFFORCE and SORCVBUFFORCE options. A local attacker with the CAPNETADMIN capability could use this to cause a denial of service (system crash or memory corruption). (CVE-2016-9793)

References

Affected packages

Ubuntu:16.04:LTS / linux-snapdragon

Package

Name
linux-snapdragon

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.4.0-1044.48

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.4.0-1044-snapdragon": "4.4.0-1044.48"
        }
    ]
}